Please update for Firefox 8. Please! Rated 5 out of 5 stars

I had it back when I was using Firefox 3.5 and LOVED it. Now however, I'm disappointed it's not compatible with Firefox 8. Any chance you might update it so that it works with 8???